LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XAccessibleImage Interface Reference

Implement this interface to represent images and icons. More...

`import"XAccessibleImage.idl";`

Inheritance diagram for XAccessibleImage:

## Public Member Functions
string | getAccessibleImageDescription ()
| Returns the localized description of the image. More...
long | getAccessibleImageHeight ()
| Returns the height of the image. More...
long | getAccessibleImageWidth ()
| Returns the width of the image. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Implement this interface to represent images and icons.

This interface is used for a representation of images like icons of buttons. The corresponding interface of the Java Accessibility API is AccessibleIcon. This interface lets you retrieve an image's size and description.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ getAccessibleImageDescription()

string getAccessibleImageDescription | ( |  | ) |

Returns the localized description of the image.

It depends on the usage of an image whether the description should express the image's function (e.g. for icons) or the actual content of the image (e.g. for image maps or non-iconic images embedded into a document.)

Returns
  Returns a localized string that describes the image's function or content.

## ◆ getAccessibleImageHeight()

long getAccessibleImageHeight | ( |  | ) |

Returns the height of the image.

The height is returned in units specified by the parents coordinate system.

Returns
  Returns the image's height with respect to the parent's coordinate system.

## ◆ getAccessibleImageWidth()

long getAccessibleImageWidth | ( |  | ) |

Returns the width of the image.

The width is returned in units specified by the parents coordinate system.

Returns
  Returns the image's width with respect to the parent's coordinate system.

The documentation for this interface was generated from the following file:

- com/sun/star/accessibility/XAccessibleImage.idl